org.springframework.jmx.export.metadata

## Class ManagedNotification

- java.lang.Object
- - org.springframework.jmx.export.metadata.ManagedNotification

    public class ManagedNotification
    extends Object

Metadata that indicates a JMX notification emitted by a bean.

Since:
  2.0
Author:
  Rob Harrop

### Constructor Summary

Constructors
Constructor and Description
`ManagedNotification()`

### Method Summary

Methods
`String` `getDescription()` Return a description for this notification.
`String` `getName()` Return the name of this notification.
`String[]` `getNotificationTypes()` Return the list of notification types.
`void` `setDescription(String description)` Set a description for this notification.
`void` `setName(String name)` Set the name of this notification.
`void` `setNotificationType(String notificationType)` Set a single notification type, or a list of notification types as comma-delimited String.
`void` `setNotificationTypes(String[] notificationTypes)` Set a list of notification types.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ManagedNotification

    public ManagedNotification()

### Method Detail

#### setNotificationType

    public void setNotificationType(String notificationType)

Set a single notification type, or a list of notification types as comma-delimited String.

#### setNotificationTypes

    public void setNotificationTypes(String[] notificationTypes)

Set a list of notification types.

#### getNotificationTypes

    public String[] getNotificationTypes()

Return the list of notification types.

#### setName

    public void setName(String name)

Set the name of this notification.

#### getName

    public String getName()

Return the name of this notification.

#### setDescription

    public void setDescription(String description)

Set a description for this notification.

#### getDescription

    public String getDescription()

Return a description for this notification.